Découverte de 19 vulnérabilités affectant la bibliothèque TCP/IP Treck : Ripple20

Découverte de 19 vulnérabilités affectant la bibliothèque TCP/IP Treck : Ripple20

Le laboratoire de recherche JSOF a découvert 19 vulnérabilités résidant dans la bibliothèque bas-niveau TCP/IP développé par Treck Inc.

Ce bulletin vous est partagé gratuitement par le CERT-XMCO dans le cadre de son service de Veille en Vulnérabilités. Découvrez en détail ce service sur xmco.fr et testez-le gratuitement et sans engagement sur leportail.xmco.fr.

Ces vulnérabilités, regroupées sous le nom de Ripple20 affectent un grand nombre d’équipements allant de l’imprimante ou de l’objet connecté jusqu’aux systèmes industriels.

Certaines de ces vulnérabilités permettent d’exécuter du code arbitraire et pourraient permettre à des attaquants externes de briser le cloisonnement réseau.

De par la complexification des architectures logicielles et l’intégration de composants, l’identification des équipements vulnérables est une tâche ardue. Les chercheurs ont d’ailleurs découvert que la bibliothèque existait en plusieurs versions, une développée et vendue par Treck et l’autre par Elmic Systems, une entreprise japonaise (qui, elle, n’est pas impactée).

Les chercheurs ont développé un script afin d’identifier des périphériques utilisant une version de la bibliothèque de Treck vulnérable : celui-ci est disponible en contactant le laboratoire à l’adresse Ripple20@jsof-tech[.]com.

Plus de détails devraient être révélés lors de la Black Hat USA qui aura lieu en aout 2020.

En attendant, les chercheurs recommandent de mettre à jour les bibliothèques Treck vers la version 6.0.1.67.


Références

19 Zero-Day Vulnerabilities Amplified by the Supply Chain

Références XMCO

CXN-2020-3154


Alexandre Padel